Skip to main content
GET
List Bonuses

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

active_after
string<date-time>

Filter by active period.

Returns items active after the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space, or just a date.

Examples:

  • &active_after=2025-05-15 12:00:00
  • &active_after=2025-05-15T12:00:00Z
active_at
string<date-time>

Filter by active period.

Returns items active at the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space.

Examples:

  • &active_at=2025-05-15 12:00:00
  • &active_at=2025-05-15T12:00:00Z
active_before
string<date-time>

Filter by active period.

Returns items active before the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space, or just a date.

Examples:

  • &active_before=2025-05-15 12:00:00
  • &active_before=2025-05-15T12:00:00Z
active_end_from
string<date-time>

Filter by active period.

Returns items with the end of the active period on or after the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space.

Examples:

  • &active_end_from=2025-05-15 12:00:00
  • &active_end_from=2025-05-15T12:00:00Z
active_end_to
string<date-time>

Filter by active period.

Returns items with the end of the active period on or before the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space.

Examples:

  • &active_end_to=2025-05-15 12:00:00
  • &active_end_to=2025-05-15T12:00:00Z
active_from
string<date-time>
active_from__from
string<date-time>
active_from__to
string<date-time>
active_start_from
string<date-time>

Filter by active period.

Returns items with the start of the active period on or after the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space.

Examples:

  • &active_start_from=2025-05-15 12:00:00
  • &active_start_from=2025-05-15T12:00:00Z
active_start_to
string<date-time>

Filter by active period.

Returns items with the start of the active period on or before the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space.

Examples:

  • &active_start_to=2025-05-15 12:00:00
  • &active_start_to=2025-05-15T12:00:00Z
active_to
string<date-time>
active_to__from
string<date-time>
active_to__to
string<date-time>
client_id
integer

ID of client in API service

Required range: -2147483648 <= x <= 2147483647
created_at
string<date-time>
created_at__from
string<date-time>
created_at__to
string<date-time>
currency_char_code
string
description
string

Filter by description. Case insensitive, partial match.

id
integer
limit
integer

Number of results to return per page. Maximum is 100. Default is 20.

not_active_at
string<date-time>

Filter by active period.

Returns items not active at the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space.

Examples:

  • &not_active_at=2025-05-15 12:00:00
  • &not_active_at=2025-05-15T12:00:00Z
offset
integer

The initial index from which to return the results.

order_by
enum<string>[]

Ordering of the results.

For ascending sort order use field.asc, for descending sort order use field.desc.

For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.

Final stable tiebreak ordering is added except when pk sorting used.

  • id.asc - Id
  • id.desc - Id (descending)
  • created_at.asc - Created at
  • created_at.desc - Created at (descending)
  • active_from.asc - Active from
  • active_from.desc - Active from (descending)
  • active_to.asc - Active to
  • active_to.desc - Active to (descending)
  • client_id.asc - Client id
  • client_id.desc - Client id (descending)
  • amount.asc - Amount
  • amount.desc - Amount (descending)
  • client_company.asc - Client company
  • client_company.desc - Client company (descending)
Available options:
active_from.asc,
active_from.desc,
active_to.asc,
active_to.desc,
amount.asc,
amount.desc,
client_company.asc,
client_company.desc,
client_id.asc,
client_id.desc,
created_at.asc,
created_at.desc,
id.asc,
id.desc
ordering
enum<string>[]

Ordering of the results.

This field is left for compatibility and can be deprecated in future versions. Use order_by instead.

Default sort order is ascending. Put - before value for descending sort order: -id.

For sorting by multiple parameters write them as comma separated string: -client_id,id.

Final stable tiebreak ordering is added except when pk sorting used.

  • id - Id
  • -id - Id (descending)
  • created_at - Created at
  • -created_at - Created at (descending)
  • active_from - Active from
  • -active_from - Active from (descending)
  • active_to - Active to
  • -active_to - Active to (descending)
  • client_id - Client id
  • -client_id - Client id (descending)
  • amount - Amount
  • -amount - Amount (descending)
  • client_company - Client company
  • -client_company - Client company (descending)
Available options:
-active_from,
-active_to,
-amount,
-client_company,
-client_id,
-created_at,
-id,
active_from,
active_to,
amount,
client_company,
client_id,
created_at,
id
product_category_external_id
string

Filter by product category external ID. Case insensitive. Supports partial matches.

product_category_id
integer[]

Filter by Product Category ID. Can be multiple.

product_category_name
string

Filter by product category name. Case insensitive. Supports partial matches.

Response

Request successful.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"